import { h } from "@stencil/core";
export class SquareSkeleton {
    constructor() {
        this.type = '1';
        this.width = '80px';
    }
    getBorderRadius() {
        const borderRadiusMapper = {
            '24px': 'rounded-[2px]',
            '64px': 'rounded-[4px]',
            '48px': 'rounded-[2px]',
            '80px': 'rounded-[4px]',
            '120px': 'rounded-[8px]',
            '170px': 'rounded-[8px]',
            '240px': 'rounded-[16px]',
        };
        return borderRadiusMapper[this.width] || '';
    }
    render() {
        return (h("div", { key: '6b7711afef4faf951cae26cae4db4fdaae01e4d3' }, h("div", { key: '066c5898c05f257243b8d31e4c073a8d5bbae9f6', style: { width: this.width, height: this.width }, class: `square_skeleton type${this.type} ${this.getBorderRadius()}` })));
    }
    static get is() { return "dga-square-skeleton"; }
    static get encapsulation() { return "shadow"; }
    static get originalStyleUrls() {
        return {
            "$": ["./style.scss"]
        };
    }
    static get styleUrls() {
        return {
            "$": ["style.css"]
        };
    }
    static get properties() {
        return {
            "type": {
                "type": "string",
                "attribute": "type",
                "mutable": false,
                "complexType": {
                    "original": "'1' | '2'",
                    "resolved": "\"1\" | \"2\"",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false,
                "reflect": false,
                "defaultValue": "'1'"
            },
            "width": {
                "type": "string",
                "attribute": "width",
                "mutable": false,
                "complexType": {
                    "original": "'24px' | '64px' | '48px' | '80px' | '120px' | '170px' | '240px'",
                    "resolved": "\"120px\" | \"170px\" | \"240px\" | \"24px\" | \"48px\" | \"64px\" | \"80px\"",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false,
                "reflect": false,
                "defaultValue": "'80px'"
            }
        };
    }
}
